Bug 102468 - up2date fails with "error installing lilo.conf"
up2date fails with "error installing lilo.conf"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 12:42 EDT by Need Real Name
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 12:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-08-15 12:42:46 EDT
Description of problem:
up2date kernel-smp fails with error updating lilo.conf

Version-Release number of selected component (if applicable):
up2date version:  v2.8.39 

How reproducible:
tried once.

Steps to Reproduce:
1. up2date -uf kernel-smp 
2.
3.
    
Actual results:
 up2date -uf kernel-smp

Fetching package list for channel: redhat-linux-i386-7.2...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-7.2...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
kernel-smp-2.4.20-19.7.i686 ########################## Done.
Preparing...                ########################################### [100%]

Installing...
   1:kernel-smp             ########################################### [100%]
Error installing lilo.conf  The message was:
test install of lilo failed


Expected results:
no error


Additional info: lilo.conf
prompt
timeout=50
default=linux
boot=/dev/md3
map=/boot/map
install=/boot/boot.b
message=/boot/message
linear

image=/boot/vmlinuz-2.4.7-10smp
        label=linux.bak
        initrd=/boot/initrd-2.4.7-10smp.img
        read-only
        root=/dev/md1

image=/boot/vmlinuz-2.4.7-10
        label=linux-up.bak
        initrd=/boot/initrd-2.4.7-10.img
        read-only
        root=/dev/md1
image=/boot/vmlinuz-2.4.18-19.7.x
        label=linux-up.bak1
        root=/dev/md1
        read-only
        initrd=/boot/initrd-2.4.18-19.7.x.img

image=/boot/vmlinuz-2.4.18-19.7.xsmp
        label=linux.bak1
        root=/dev/md1
        read-only
        initrd=/boot/initrd-2.4.18-19.7.xsmp.img

image=/boot/vmlinuz-2.4.18-24.7.x
        label=linux-up
        root=/dev/md1
        read-only
        initrd=/boot/initrd-2.4.18-24.7.x.img

image=/boot/vmlinuz-2.4.18-24.7.xsmp
        label=linux
        root=/dev/md1
        read-only
        initrd=/boot/initrd-2.4.18-24.7.xsmp.img

Note You need to log in before you can comment on or make changes to this bug.